Bug 104863 - XEmacs 21.4.8 fails to terminate when X display lost
XEmacs 21.4.8 fails to terminate when X display lost
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-09-22 17:26 EDT by Chris Hollowell
Modified: 2015-01-07 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-25 04:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Supporting information from 21.4.10 patch (1.89 KB, text/plain)
2003-09-22 17:29 EDT, Chris Hollowell
no flags Details

  None (edit)
Description Chris Hollowell 2003-09-22 17:26:50 EDT
From Bugzilla Helper:

Description of problem:
XEmacs fails to terminate when the connection to the X display is 
lost.  Furthermore, when this occurs, XEmacs begins consuming
an exorbitant amount of processing cycles.  An lsof run on the
system indicates the TCP state of the the process' X connection 

According to an entry on the XEmacs mailing list (see provided URL),
this bug has been fixed in 21.4.10.  After compiling/installing
21.4.14, I've verified that this problem is not present in that revision.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use ssh login to a remote system (enable X11 Forwarding)
2. Execute 'xemacs somefile &'
3. Send SIGKILL to the ssh client

Actual Results:  xemacs on the remote machine was still running, and consuming
processing cycles.

Expected Results:  xemacs should terminate.

Additional info:
Comment 1 Chris Hollowell 2003-09-22 17:29:46 EDT
Created attachment 94643 [details]
Supporting information from 21.4.10 patch
Comment 2 Jens Petersen 2003-09-25 04:03:19 EDT
I suggest upgrading to a newer version of XEmacs then.
While this sounds pretty annoying, I'm sorry but I don't feel
this is serious enough to warrant an errata.

Note You need to log in before you can comment on or make changes to this bug.